%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
define get_coordinatearrays_of_image()
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{get_coordinatearrays_of_image}
%\synopsis{returns two 2d arrays of image coordinates}
%\usage{(XX, YY) = get_coordinatearrays_of_image(Any_Type img[,]);}
%\description
%    \code{XX[y, x] = x}  and  \code{YY[y, x] = y} for every coordinate (\code{x,y}) of \code{img}.
%!%-
{
  variable img;
  switch(_NARGS)
  { case 1: img = (); }
  { help(_function_name()); return; }

  variable nx = length(img[0,*]);
  variable ny = length(img[*,0]);

  variable XX = Integer_Type[ny, nx];
  variable YY = Integer_Type[ny, nx];
  variable x, y;
  _for x (0, nx-1, 1)  XX[*,x] = x;
  _for y (0, ny-1, 1)  YY[y,*] = y;

  return (XX, YY);
}
