define _maximum()
%!%+
%\function{_maximum}
%\synopsis{computes the maximum of >=2 values}
%\usage{Array_Type _maximum(Array_Type x1, x2, ...)}
%\description
%    \code{x1}, \code{x2}, ... have to be arrays of the same length, or scalars.
%    The \code{_maximum} function returns an array of the maximum values
%    by successively calling the \code{_max} function.
%    If all \code{x1}, \code{x2}, ... are scalars, \code{_maximum} returns a scalar value,
%    in this case, \code{_maximum(x1, x2, ...)} is equivalent to \code{max([x1, x2, ...])}.
%\seealso{_max, max, _minimum, _min, min}
%!%-
{
  if(_NARGS<2)
    return help(_function_name());
  variable m = _max((), ());
  loop(_NARGS-2)  m = _max(m, ());
  return m;
}
