%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
define array_density()
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{array_density}
%\synopsis{calculates the 'intensity' of an array, i.e. the invers of
%the spacing}
%\usage{array_density(bin_lo, bin_hi);}
%!%-
{
   variable r_lo,r_hi;
   switch(_NARGS)
   { case 2: (r_lo, r_hi) = (); }
   {    help(_function_name()); return; }
   
   variable i;
   variable n = length(r_lo);
   variable dr = Double_Type[n];
   _for i(0,n-1,1)
   {
      dr[i] = (r_hi[i]-r_lo[i]);
   }
   
   variable intens = 1./dr;
   
   return intens;     
}
