define array_insert( A, IA, i )
%%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{array_insert}
%\synopsis{Inserts an array into another array}
%\usage{Any_Type[] = array_insert(Any_Type[] A, Any_Type[] IA, Integer_Type i);}
%\description
%    Inserts the array or single value IA into the array A at the index
%    position i. A and IA have to be of the same DataType_Type!
%    Basically it is:
%
%         [ A[[:i-1]], IA , A[[i:]] ]
%    
%\example
%    variable A  = [1:10];
%    variable IA = [2,1];
%    variable NA = array_insert( A, IA, 3 );
%    print(NA);
%!%-
{
  return [ A[[:i-1]], IA , A[[i:]] ]  ;
}
