require("rand");

%%%%%%%%%%%%%%%%%%%%
define array_permute()
%%%%%%%%%%%%%%%%%%%%
%!%+
%\function{array_permute}
%\synopsis{generates a random permutation of [0 : n-1]}
%\usage{Integer_Type[] random_array(Array_Type a)
%\altusage{Integer_Type[] random_array(Integer_Type n)}
%}
%\description
%    The return value is an array of indices.
%    To randomize an array \code{a}, use \code{a[array_permute(a)]}.
%\seealso{array_sort}
%!%-
{
  variable n;
  switch(_NARGS)
  { case 1: n = (); }
  { help(_function_name()); return; }

  if(typeof(n)==Array_Type)  n = length(n);
  variable numbers = { 0 };
  variable i;
  _for i (1, n-1, 1)  list_append(numbers, i);
  variable ind = Integer_Type[n];
  _for i (0, n-1, 1)
    ind[i] = list_pop( numbers, int(rand_flat(0, n-i)) );
  return ind;
}
