define get_intersection()
%!%+
%\function{get_intersection}
%\synopsis{finds elements occuring in two arrays}
%\usage{(Integer_Type i1[], i2[]) = get_intersection(array1[], array2[]);}
%\description
%     \code{array1[ i1 ]  ==  array2[ i2 ]}
%\qualifiers{
%\qualifier{ordered}{assumes that \code{array1} and \code{array2} are ordered increasingly}
%}
%!%-
{
  variable array1, array2;
  switch(_NARGS)
  { case 2: (array1, array2) = (); }
  { help(_function_name()); return; }

  variable l1 = length(array1);
  variable l2 = length(array2);
  variable indx1 = Integer_Type[0];
  variable indx2 = Integer_Type[0];
  variable i1=0, i2=0;
  if(qualifier_exists("ordered"))
    while(i1<l1 && i2<l2)
    { variable diff = array1[i1] - array2[i2];
      if(diff!=0)
	if(diff<0)  % array1[i1] < array2[i2]
	  i1++;
        else        % array1[i1] > array2[i2]
	  i2++;
      else	   % array1[i1] == array2[i2]
      { indx1 = [indx1, i1];
        indx2 = [indx2, i2];
        i1++;
        i2++;
      }
    }
  else
    _for i1 (0, l1-1, 1)
    { i2 = where(array2 == array1[i1]);
      switch(length(i2))
      { case 0: ; }
      { case 1: indx1 = [indx1, i1];  indx2 = [indx2, i2]; }
      { vmessage("error (%s): intersection not unique", _function_name()); return NULL, NULL; }
    }
  return indx1, indx2;
}
