define RAdec_from_AzEl()
%!%+
%\function{RAdec_from_AzEl}
%\synopsis{computes equatorial (RA, dec) coordinates from a point's (azimut, elevation) at a time MJD}
%\usage{(RA, dec) = RAdec_from_AzEl(az, el, MJD,  longw, lat);}
%\description
%    This function is deprecated. Please use horizon2equatorial instead.
%\seealso{horizon2equatorial,equatorial2horizon}
%!%-
{
  variable az, el, MJD, longw, lat;
  switch(_NARGS)
  { case 5: (az, el, MJD, longw, lat) = (); }
  { help(_function_name()); return; }

  az = angle_to_rad(az; unit="deg");
  el = angle_to_rad(el; unit="deg");

  variable alpha,delta;

  (alpha,delta)=horizon2equatorial(az,el;JD=MJD,mjd,lat=lat*PI/180,lon=longw*PI/180);

  alpha=alpha*180./PI * 24./360.;
  delta=delta*180./PI;
  
  return alpha,delta;
}
