define galLB_from_RAdec()
%!%+
%\function{galLB_from_RAdec}
%\synopsis{convert equatorial (RA, dec) coordinates to galactic (l, b) coordinates}
%\usage{(l, b) = galLB_from_RAdec(RA, dec);}
%\qualifiers{
%\qualifier{ra_unit }{ [\code{="deg"}]: set the unit of the right ascension \code{RA}
%                         \code{l_unit="rad"} \code{=>}  \code{RA} in rad
%                         \code{l_unit="hms"} \code{=>}  \code{RA} in hours as a scalar
%                         or an array of the form \code{[H, M]} or \code{[H, M, S]} }
%\qualifier{dec_unit}{ [\code{="deg"}]: set the unit of the declination \code{dec}}
%}
%\description
%    This function is deprecated. Please use equatorial2galactic instead.
%\seealso{equatorial2galactic,galactic2equatorial}
%!%-
{
    variable RA, dec;
    switch(_NARGS)
  { case 2: (RA, dec) = (); }
  { help(_function_name()); return; }
  
    variable  ra_unit = qualifier( "ra_unit", "deg");
    variable dec_unit = qualifier("dec_unit", "deg");
    RA  = angle_to_rad(RA ; unit =  ra_unit);
    dec = angle_to_rad(dec; unit = dec_unit);

  variable ell,b;

  (ell,b)=equatorial2galactic(RA,dec; blaauw);

  return ell*180./PI, b*180./PI;

}
