define dateOfMJD()
%!%+
%\function{dateOfMJD}
%\synopsis{calculates the date from its MJD value}
%\usage{Struct_Type date = dateOfMJD(MJD);}
%\description
%    The return value is a structure of the following form:\n
%       \code{date = struct { year, month, day, hour, minute, second }
%    and always in the Gregorian Calendar. See DateOfJD if you want more
%    functionality. This function is array safe.}
%\seealso{DateOfJD, MJDofDate}
%!%-
{
  variable MJD;
  switch(_NARGS)
  { case 1: MJD = (); }
  { help(_function_name()); return; }

  return DateOfJD(mjd2jd(MJD));
}

define DateOfMJD()
%!%+
%\function{DateOfMJD}
%\synopsis{calculates the date from its MJD value}
%\usage{Struct_Type date = dateOfMJD(MJD);}
%\description
%    The return value is a structure of the following form:\n
%       \code{date = struct { year, month, day, hour, minute, second }
%    and always in the Gregorian Calendar. See DateOfJD if you want more
%    functionality. This function is array safe.}
%\seealso{DateOfJD, MJDofDate}
%!%-
{
  variable MJD;
  switch(_NARGS)
  { case 1: MJD = (); }
  { help(_function_name()); return; }

  return DateOfJD(mjd2jd(MJD));
}
