%%%%%%%%%%%%%%%%%%%
define daysPerMonth()
%%%%%%%%%%%%%%%%%%%
%!%+
%\function{daysPerMonth}
%\synopsis{returns the number of days of a month}
%\usage{Char_Type daysPerMonth(m[, y])}
%\description
%    \code{m} = 1, 2, ... 12 specifies the month Jan, Feb, ..., Dec.\n
%    If \code{y} is not specified, a non-leapyear is assumed.
%\seealso{leapyear}
%!%-
{
  variable m, y, leapdays=0;
  switch(_NARGS)
  { case 1: m = (); }
  { case 2: (m, y) = (); leapdays = leapyear(y); }
  { help(_function_name()); return; }

  switch(m)
  { case  1: return 31; }
  { case  2: return 28 + leapdays; }
  { case  3: return 31; }
  { case  4: return 30; }
  { case  5: return 31; }
  { case  6: return 30; }
  { case  7: return 31; }
  { case  8: return 31; }
  { case  9: return 30; }
  { case 10: return 31; }
  { case 11: return 30; }
  { case 12: return 31; }
  return 0;
}
