define leapyear()
%!%+
%\function{leapyear}
%\synopsis{tells whether a year is a leapyear in the Gregorian calendar}
%\usage{Char_Type leapyear(Integer_Type y)}
%\description
%    For a leapyear in the Gregorian calendar, \code{y} is either
%    divisible by 4 but not by 100,
%    or \code{y} is divisible by 400.
%\seealso{daysPerMonth}
%!%-
{
  variable y;
  switch(_NARGS)
  { case 1: y = (); }
  { help(_function_name()); return; }

  return (y mod 4==0 and y mod 100>0) or y mod 400==0;
}
